%if 0%{?rhel} && 0%{?rhel} <= 7
%global with_python3 0
%else
%global with_python3 1
%endif

Name:           python-repoze-who-plugins-sa
Version:        1.0.1
Release:        10.20160106gite1a36c5%{?dist}
Summary:        repoze.who SQLAlchemy plugin

Group:          Development/Languages
License:        BSD
URL:            http://code.gustavonarea.net/repoze.who.plugins.sa
# Git snapshot to get python3 support.  Generate this way:
# git clone https://github.com/repoze/repoze.who-sqlalchemy.git
# cd repoze.who-sqlalchemy
# patch -p1 < ../repoze-who-plugins-sa-sdist.patch
# python2 setup.py sdist
# tarball will be in the dist/ subdirectory
Source0: repoze.who.plugins.sa-%{version}.tar.gz
#Source0:        http://pypi.python.org/packages/source/r/repoze.who.plugins.sa/repoze.who.plugins.sa-%{version}.tar.gz
# This patch is to be applied when generating the tarball.  It includes the
# test directoriy so we can run the test suite
# https://github.com/repoze/repoze.who-sqlalchemy/pull/6
Patch100: repoze-who-plugins-sa-sdist.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel python-setuptools python-repoze-who
BuildRequires:  python-sqlalchemy python-coverage python-nose
# For tests.  Not putting it into Requires as it's an optional dep and we want
# people to move away from elixir (dead upstream).
BuildRequires:  python-elixir

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-repoze-who
BuildRequires: python3-sqlalchemy
BuildRequires: python3-coverage
BuildRequires: python3-nose
%endif

Requires:       python-repoze-who
Requires:       python-sqlalchemy

Provides: python2-repoze-who-plugins-sa

%description
This plugin provides one repoze.who authenticator which works with SQLAlchemy
or Elixir-based models.


%if 0%{?with_python3}
%package -n python3-repoze-who-plugins-sa
Summary: repoze.who SQLAlchemy plugin
Requires: python3-repoze-who
Requires: python3-sqlalchemy

%description -n python3-repoze-who-plugins-sa
This plugin provides one repoze.who authenticator which works with SQLAlchemy
based models on python3
%endif


%prep
%setup -q -n repoze.who.plugins.sa-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif # with_python3


%check
PYTHONPATH=$(pwd) nosetests

%if 0%{?with_python3}
pushd %{py3dir}
PYTHONPATH=$(pwd) nosetests-%{python3_version}
popd
%endif # with_python3


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-repoze-who-plugins-sa
%doc README.txt
%{python3_sitelib}/*
%endif


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-10.20160106gite1a36c5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan  7 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.1-9.20160106gite1a36c5
- Really build the python3 subpackage

* Wed Jan  6 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.1-8.20160106gite1a36c5
- Update to a git snapshot
- Build python3 subppackage

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 1.0.1-5
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 06 2012 Luke Macken <lmacken@redhat.com> - 1.0.1-1
- 1.0.1 update
- Remove BR on python-elixir, which was orphaned

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 16 2011 Luke Macken <lmacken@redhat.com> - 1.0-1
- Update to 1.0 final (#701602)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0-0.6.rc2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 05 2010 Luke Macken <lmacken@redhat.com> - 1.0-0.4.rc2
- Update to 1.0 rc2
- Enable the test suite during %%check

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.4.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Luke Macken <lmacken@redhat.com> - 1.0-0.3.rc1
- Remove the test suite, since it conflicts with other packages (#512759)

* Thu May 21 2009 Luke Macken <lmacken@redhat.com> - 1.0-0.2.rc1
- Update to 1.0rc1
- Add python-elixir, python-sqlalchemy, python-coverage, python-nose,
  and python-repoze-who to the BuildRequires
- Remove the setuptools patch

* Tue Jan 06 2009 Luke Macken <lmacken@redhat.com> - 1.0-0.1.b2.r2909
- Initial package for Fedora
